%define name cygne
%define oname Cygne-SDL
%define version 0.1
%define distsuffix plf
%define release %mkrel 2

Summary: %{oname} - Wonderswan emulator
Name: %{name}
Version: %{version}
Release: %{release}
BuildRequires: SDL-devel
Source0: http://sdlemu.ngemu.com/OpenProjects/%{oname}-%{version}-src.tar.bz2
Patch0: %{name}-%{version}-gcc-patch.bz2
Group: Emulators
License: GPL
URL: http://www.icculus.org/Cygne-SDL/
BuildRoot: %_tmppath/%{name}-build

%description
Cygne/SDL is a Bandai Wonderswan (R) Color handheld emulator.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
pushd src
make
popd

%install
rm -rf %{buildroot}
#binary
install -D -m 0755 src/%{name} %{buildroot}%{_gamesbindir}/%{name}

#TODO
#some freeware game is included in the sources
#but it's licensed as Freeware
#maybe it could be added as a subpackage
#maybe some other freeware games could be added as well, then

%files
%defattr(-,root,root)
%doc BUGS COPYING CREDITS README README-SDL TODO WHATSNEW
%attr(0755,root,games) %{_gamesbindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.1-2plf2007.0
- clean install, space instead of tabs, dropped useless INSTALL file

* Sun Mar 12 2006 Guillaume Bedot <littletux@zarb.org> 0.1-1plf
- First package
